--- title: "View Ranking" slug: "analytics-cloudsearch-getranking" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getranking" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View Ranking **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Look up one Ranking of the corresponding Domain. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/ranking/{rankingName} ``` ## Request ### Request parameter | Parameter Name | Required | Type | Restrictions | Description | | --- | --- | --- | --- | --- | | name | Yes | string | | The name of the created domain | | rankingName | Yes | string | | The name of the created ranking | ## Response | Field Name | Type | Description | Remarks | | --- | --- | --- | --- | | name | string | Ranking Name | | | code | string | Ranking formula | | ### Response Status | Http Status | Desc | | --- | --- | | 200 | OK | | 400 | Bad Request | | 401 | Unauthorized | | 401 | there is no such service | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Example ### Example Request ``` GET /CloudSearch/real/v1/domain/search_test/ranking/clous Host: cloudsearch.apigw.ntruss.com haveContainer: false haveUsage: false accept: application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: nn6HxvbYlXzuDBLYG8qNdz4Z7Y6qs+l5EX8BmGwI/EI= x-ncp-apigw-timestamp: 1551436817715 ``` ### Example response ``` { "name": "clous", "code": "_ratio=0.5;\n_quality=1.0;\n_similarity=qds;\n_relevance = _similarity * _ratio + _quality * (1 - _ratio); \n\n" } ```